#ifndef MAVERICKREADER_H
#define MAVERICKREADER_H

#include <QtGui>

#include "ReaderInterface.h"

class MaverickReader : public ReaderInterface
{
public:
	void Initialise(QString location);
	void Close();
	bool IsOpen();
	QImage GetImage(quint32 x_index, quint32 y_index, quint32 zoom);
	QList<quint32> GetZoomLevels();
	QList<quint32> GetZoomLevels(quint32 source_index);
	QHash<quint32,QString> GetSourceList();
	void SelectSource(quint32 source);
	void AcceptAnySource();
	void EnableSource(quint32 source, bool bEnabled=true);
	void DisableSource(quint32 source);
	QList<Coverage> GetMapCoverage(quint32 source_index, quint32 zoom);

private:
	bool m_bIsOpen;
	QDir mapDir;
	QHash<quint32, QString> hshSources;
	QHash<quint32, bool> hshSourceStates;
	quint32 m_TileSize;
};

#endif
