#ifndef QMAPVIEWMAINWINDOW_H
#define QMAPVIEWMAINWINDOW_H


#include <QMainWindow>
#include <QAction>
#include "ui_QMapViewMainWindow.h"

class QMapViewScene;

class QMapViewMainWindow : public QMainWindow
{
	Q_OBJECT
	
public:
	QMapViewMainWindow();

public slots:
	void SelectToggled(bool checked);
	void PanToggled(bool checked);
	void OpenMaverick();
	void OpenGEMF();
	void SourceSelectionHandler(bool state);
	void AllSourceSelectionHandler(bool state);
	void CoverageSelectionHandler();

protected:
	void keyPressEvent(QKeyEvent *event);

private:
	void CreateSourceListMenu();
	void CreateCoverageMenu();
	Ui::QMapViewMainWindow ui;
	QAction *pAllSourceAction;
	bool m_bNoRecurse;
};

#endif
