#ifndef READERINTERFACE_H
#define READERINTERFACE_H

#include <QtGui>
#include "Mercator.h"

struct Coverage
{
	LatLon TopLeft;
	LatLon BottomRight;
};

class ReaderInterface
{
public:
	virtual void Initialise(QString location) = 0;
	virtual void Close() = 0;
	virtual bool IsOpen() = 0;
	virtual QImage GetImage(quint32 x_index, quint32 y_index, quint32 zoom) = 0;
	virtual QList<quint32> GetZoomLevels() = 0;
	virtual QList<quint32> GetZoomLevels(quint32 source_index) = 0;
	virtual QHash<quint32,QString> GetSourceList() = 0;
	virtual void SelectSource(quint32 source) = 0;
	virtual void EnableSource(quint32 source, bool bEnabled=true) = 0;
	virtual void DisableSource(quint32 source) = 0;
	virtual void AcceptAnySource() = 0;
	virtual QList<Coverage> GetMapCoverage(quint32 source_index, quint32 zoom) = 0;
};


#endif
